package net.cephas.james.mailets;

import java.util.Collection;
import java.util.Iterator;

import javax.mail.MessagingException;

import org.apache.mailet.Mail;
import org.apache.mailet.MailAddress;


/**
 * Default implementation of the MailSummarizer interface. Formats
 * the message so that only the from name / address, to name / address
 * and the subject of the email are forwarded to the user via IM.
 * 
 * @author Aaron Johnson
 */
public class SimpleSummarizer implements MailSummarizer {

    private static final String sep = System.getProperty("line.separator");
    
    public String getSummary(Mail mail) throws MessagingException {
        StringBuffer message = new StringBuffer(); 
        MailAddress sender = mail.getSender();
        message.append("From: " + sender.toString() + sep); 
        message.append("To: " + "");
        Collection recs = mail.getRecipients();
        for (Iterator i = recs.iterator(); i.hasNext();) {
            MailAddress m = (MailAddress)i.next();
            message.append(m.toString());
            if (i.hasNext()) { 
                message.append(", ");   
            } else {
                message.append(sep);
            }
        }
        message.append("Subject: " + mail.getMessage().getSubject() + sep);
        
        return message.toString();
    }

}
